class Collection < ActiveRecord::Base
  has_and_belongs_to_many :learning_objects
  belongs_to :user
  has_many :reviews, as: :reviewable

  has_many :views, as: :viewable
  has_many :downloads, as: :downloadable
  has_many :likes, as: :likeable
  has_many :shares, as: :shareable
end
