class CreateLearningObjects < ActiveRecord::Migration
  def change
    create_table :learning_objects do |t|
      t.integer :id_dspace
      t.string :name
      t.string :author
      t.text :description
      t.datetime :published_at
      t.string :type
      t.integer :score
      t.integer :school_level
      t.string :language
      t.text :metadata
      t.text :keywords

      t.references :published, polymorphic: true, index: true

      t.timestamps null: false
    end
  end
end
